import { Component, OnInit } from '@angular/core';
import {AuthenticationService} from '../../services';

@Component({
  selector: 'app-user-profile',
  templateUrl: './user-profile.component.html',
  styleUrls: ['./user-profile.component.scss']
})
export class UserProfileComponent implements OnInit {
  private secondName: string;
  private firstName: string;
  private username: string;

  constructor(
    private authenticationService: AuthenticationService,
  ) { }

  ngOnInit() {
    this.getUserName();
  }

  getUserName() {
    const user = localStorage.getItem('currentUser');
    const jsonValue = JSON.parse(user)
    console.log(jsonValue);
    this.firstName = jsonValue.firstName;
    this.secondName = jsonValue.lastName;
    this.username = jsonValue.username;
  }

}
