import { Injectable } from '@angular/core';
import { Comment} from '../model/comment.model';
import {AngularFirestore} from '@angular/fire/firestore';

@Injectable({
  providedIn: 'root'
})
export class CommentServiceService {

  constructor(private firestore: AngularFirestore) { }

  getComment() {
    console.log(this.firestore.collection('comment'))
    return this.firestore.collection('comment').snapshotChanges();
  }

  createComment(comment: Comment) {
    return this.firestore.collection('comment').add(JSON.parse(JSON.stringify(comment)));
  }
}
